0

I am trying to deploy GlobalValueSet and GlobalPicklist with ANT but get the following error:

globalPicklists/GP0.globalPicklist Global Value Set 0 0 Not available for deploy for this API version

api version I have in my package XML is 44

I had a look at the API Metadata doc and it is formatted correctly

      <types>
        <members>*</members>
        <name>GlobalValueSet</name>
      </types>
        <types>
        <members>GP0</members>
        <name>GlobalPicklist</name>
      </types>

What am I doing wrong?

5

GlobalPicklist was introduced in 37.0 version and is available only in this version

GlobalPicklist components are available in API version 37.0 only. In API version 38.0 and later, GlobalPicklist is replaced by the GlobalValueSet type.

you can read it from documentation

you should use only GlobalValueSet as it replaces GlobalPicklist

  • how do I deploy the picklists then? do I need to remove them completely from the package? – TheAdmin Dec 21 '18 at 13:16
  • your values for picklists that are shared between picklist fields are stored as Picklist Value Sets in setup and it is GlobalValueSet in metadata api package.xml – Oleksandr Berehovskyi Dec 21 '18 at 13:18

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.